/*
 * Copyright (c) eHealth
 */
package be.ehealth.businessconnector.test.testcommons.testperson.util.search;

import be.ehealth.businessconnector.test.testcommons.testperson.domain.TestPerson;
import be.ehealth.businessconnector.test.testcommons.testperson.util.TestPersonVisitor;


/**
 * Search all the TestPerson who has some informations for the p12
 * 
 * @author EHP
 */
public class SecurityConfigVisitor implements TestPersonVisitor {

    /**
     * @see TestPersonVisitor#visit(TestPerson)
     */
    @Override
    public boolean visit(TestPerson person) {
        if (person.getP12Location() == null || person.getP12Password() == null) {
            return false;
        }
        return true;
    }

}
